> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silicondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recent data

> 📌 **Note:** For the GPU catalog, spec filter parameters, and full GPU specs endpoints, see the [SiliconNavigator API](/api-reference/silicon-navigator) page.

## <span style={{ color: 'white', fontWeight: 'bold', backgroundColor: '#007BFF', border: '2px solid #007BFF', borderRadius: '5px', padding: '5px', display: 'inline-block' }}>POST</span> /api/data-hub/gpu/specs-list

Get all GPU products (with their product IDs) that have price data available.

### Authorization

**🔒OAuth2**: OAuth2PasswordBearer\
**Flow type**: password\
**Token URL**: token

### Responses

* **200**: Successful Response

```json theme={null}
{
    "meta": {
        "code": 0,
        "url": "/api/data-hub/gpu/specs-list",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "total": 1,
        "results": [
            {
                "product_id": 1,
                "product_slug": "nvidia-h100-sxm",
                "chip": "H100",
                "name": "NVIDIA H100 SXM",
                "manufacturer": "NVIDIA",
                "mem": 80,
                "mem_bus": 5120,
                "bus": "SXM5",
                "bandwidth": 3350,
                "tdp": 700,
                "fp16": 1979,
                "msrp": 30000,
                "released_date": "2022-03-22"
            }
        ]
    }
}
```

***

## <span style={{ color: 'white', fontWeight: 'bold', backgroundColor: '#007BFF', border: '2px solid #007BFF', borderRadius: '5px', padding: '5px', display: 'inline-block' }}>POST</span> /api/data-hub/gpu/specs-query

Get GPU products (with their product IDs) that have price data available, filtered by a search keyword.

### Authorization

**🔒OAuth2**: OAuth2PasswordBearer\
**Flow type**: password\
**Token URL**: token

### Request Body

The request body must be in `application/json` format. All fields are optional.

| Field          | Type    | Required | Description                                                                | Constraints   |
| -------------- | ------- | -------- | -------------------------------------------------------------------------- | ------------- |
| `num_per_page` | integer | No       | How many records will be returned per page. Default value is 50.           | \[ 1 .. 100 ] |
| `page_num`     | integer | No       | The page index number. Default value is 1.                                 | >= 1          |
| `keyword`      | string  | No       | Keyword used to search across GPU slug, name, and chip (case-insensitive). |               |

### Request Example

```json theme={null}
{
  "num_per_page": 50,
  "page_num": 1,
  "keyword": "h100"
}
```

### Responses

* **200**: Successful Response

```json theme={null}
{
    "meta": {
        "code": 0,
        "url": "/api/data-hub/gpu/specs-query",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "total": 1,
        "results": [
            {
                "product_id": 1,
                "product_slug": "nvidia-h100-sxm",
                "chip": "H100",
                "name": "NVIDIA H100 SXM",
                "manufacturer": "NVIDIA",
                "mem": 80,
                "mem_bus": 5120,
                "bus": "SXM5",
                "bandwidth": 3350,
                "tdp": 700,
                "fp16": 1979,
                "msrp": 30000,
                "released_date": "2022-03-22"
            }
        ]
    }
}
```

* **422**: Validation Error

```json theme={null}
{
  "detail": [
    {
      "loc": [
        "string"
        ],
        "msg": "string",
        "type": "string"
    }
  ]
}
```

***

## <span style={{ color: 'white', fontWeight: 'bold', backgroundColor: '#007BFF', border: '2px solid #007BFF', borderRadius: '5px', padding: '5px', display: 'inline-block' }}>POST</span> /api/data-hub/gpu/latest/price

Get the latest available price for each GPU, country, and price type.

### Authorization

**🔒OAuth2**: OAuth2PasswordBearer\
**Flow type**: password\
**Token URL**: token

### Request Body

The request body must be in `application/json` format. All fields are optional.

| Field          | Type    | Required | Description                                                                                                                                                                                                                                                                                  | Constraints      |
| -------------- | ------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| `num_per_page` | integer | No       | How many records will be returned per page. Default value is 50.                                                                                                                                                                                                                             | \[ 1 .. 100 ]    |
| `page_num`     | integer | No       | The page index number. Default value is 1.                                                                                                                                                                                                                                                   | >= 1             |
| `keyword`      | string  | No       | Keyword used to search across GPU slug, name, and chip (case-insensitive).                                                                                                                                                                                                                   |                  |
| `product_id`   | integer | No       | Filter by a specific GPU product id.                                                                                                                                                                                                                                                         |                  |
| `country`      | string  | No       | The ISO 3166-1 alpha-2 country code.                                                                                                                                                                                                                                                         | \<= 2 characters |
| `price_type`   | integer | No       | Filter by price type. Must be one of \[-1, 0, 1, 3, 6, 12, 100, 101, 102]. -1: Rental Spot, 0: Rental On-Demand, 1: Rental Reserved 1 month, 3: Rental Reserved 3 month, 6: Rental Reserved 6 month, 12: Rental Reserved 1 year, 100: Retail New, 101: Retail Refurbished, 102: Retail Used. |                  |

### Request Example

```json theme={null}
{
  "num_per_page": 50,
  "page_num": 1,
  "keyword": "h100",
  "product_id": 1,
  "country": "US",
  "price_type": 0
}
```

### Responses

* **200**: Successful Response

```json theme={null}
{
    "meta": {
        "code": 0,
        "url": "/api/data-hub/gpu/latest/price",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "total": 1,
        "results": [
            {
                "product_id": 1,
                "product_slug": "nvidia-h100-sxm",
                "chip": "H100",
                "name": "NVIDIA H100 SXM",
                "manufacturer": "NVIDIA",
                "date": "2025-04-05",
                "country": "US",
                "price_type": 0,
                "price_type_descriptioin": "Rental On-Demand",
                "price": 2.25
            }
        ]
    }
}
```

* **422**: Validation Error

```json theme={null}
{
  "detail": [
    {
      "loc": [
        "string"
        ],
        "msg": "string",
        "type": "string"
    }
  ]
}
```

***

## <span style={{ color: 'white', fontWeight: 'bold', backgroundColor: '#007BFF', border: '2px solid #007BFF', borderRadius: '5px', padding: '5px', display: 'inline-block' }}>POST</span> /api/data-hub/gpu/history/price

Get the historical price series for a GPU over a date range.

### Authorization

**🔒OAuth2**: OAuth2PasswordBearer\
**Flow type**: password\
**Token URL**: token

### Request Body

The request body must be in `application/json` format.

| Field          | Type    | Required | Description                                                                                                                                                                                                                                                                        | Constraints                                                                    |
| -------------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
| `num_per_page` | integer | No       | How many records will be returned per page. Default value is 50.                                                                                                                                                                                                                   | \[ 1 .. 100 ]                                                                  |
| `page_num`     | integer | No       | The page index number. Default value is 1.                                                                                                                                                                                                                                         | >= 1                                                                           |
| `product_id`   | integer | Yes      | Product id of the GPU to retrieve price history for.                                                                                                                                                                                                                               |                                                                                |
| `start_date`   | string  | Yes      | Start date of the price range, in YYYY-MM-DD format.                                                                                                                                                                                                                               | 10-character YYYY-MM-DD                                                        |
| `end_date`     | string  | Yes      | End date of the price range, in YYYY-MM-DD format.                                                                                                                                                                                                                                 | 10-character YYYY-MM-DD; must be >= `start_date`; range may not exceed 90 days |
| `price_type`   | integer | Yes      | Price type. Must be one of \[-1, 0, 1, 3, 6, 12, 100, 101, 102]. -1: Rental Spot, 0: Rental On-Demand, 1: Rental Reserved 1 month, 3: Rental Reserved 3 month, 6: Rental Reserved 6 month, 12: Rental Reserved 1 year, 100: Retail New, 101: Retail Refurbished, 102: Retail Used. |                                                                                |
| `country`      | string  | No       | The ISO 3166-1 alpha-2 country code.                                                                                                                                                                                                                                               | \<= 2 characters                                                               |

### Request Example

```json theme={null}
{
  "num_per_page": 50,
  "page_num": 1,
  "product_id": 1,
  "start_date": "2024-10-01",
  "end_date": "2024-10-31",
  "price_type": 0,
  "country": "US"
}
```

### Responses

* **200**: Successful Response

```json theme={null}
{
    "meta": {
        "code": 0,
        "url": "/api/data-hub/gpu/history/price",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "total": 2,
        "results": [
            {
                "product_id": 1,
                "product_slug": "nvidia-h100-sxm",
                "chip": "H100",
                "name": "NVIDIA H100 SXM",
                "manufacturer": "NVIDIA",
                "date": "2024-10-31",
                "country": "US",
                "price_type": 0,
                "price_type_descriptioin": "Rental On-Demand",
                "price": 2.33
            },
            {
                "product_id": 1,
                "product_slug": "nvidia-h100-sxm",
                "chip": "H100",
                "name": "NVIDIA H100 SXM",
                "manufacturer": "NVIDIA",
                "date": "2024-10-01",
                "country": "US",
                "price_type": 0,
                "price_type_descriptioin": "Rental On-Demand",
                "price": 2.25
            }
        ]
    }
}
```

* **422**: Validation Error

```json theme={null}
{
  "detail": [
    {
      "loc": [
        "string"
        ],
        "msg": "string",
        "type": "string"
    }
  ]
}
```
